%define __libtoolize    /bin/true

%define name ktechlab

Name:           %{name}
Summary:        A development environment for microcontrollers and electronic circuits
Version:        0.3.6
Release:        %mkrel 1
Source:         http://ktechlab.fadedminds.com/download/%{name}-%version.tar.bz2
URL:            http://ktechlab.fadedminds.com/index.php
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:	GPL
BuildRequires:	kdelibs-devel
BuildRequires:	gpsim-devel >= 0.21.4
BuildRequires:	desktop-file-utils
Requires:       kdebase >= 3.2.0
Requires:	gputils
Patch1:		ktechlab-0.3-compile-enable.patch
Patch2:		ktechlab-0.3-fix-compile.patch
#(nl)    	Fix Build with GCC 4.1.1
Patch3:		ktechlab-0.3-fix-build.patch
%description
Techlab consists of several well-integrated components: 

 - A circuit simulator, capable of simulating logic, linear devices and 
   some nonlinear devices. 

 - Integration with gpsim, allowing PICs to be simulated in circuit.

 - A schematic editor, which provides a rich real-time feedback of the 
   simulation.
	
 - A flowchart editor, allowing PIC programs to be constructed visually.

 - MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
   to KTechlab.
 	
 - An embedded Kate part, which provides a powerful editor for PIC programs.

 - Integrated assembler and disassembler via gpasm and gpdasm.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %name-0.3
#%patch1 -p1 -b .fix_enable_final
#%patch2 -p1 -b .fix_compile
%patch3 -p1 

%build

# force linking with termcap ( otherwise, it only link with readline )
export LDFLAGS="-ltermcap"
%configure --disable-rpath \
	   --with-qt-libraries=%{qt3lib} \
           --disable-debug 

# fwang: parallel build does not work
%make -j1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},{_iconsdir}}

ln -s %{_datadir}/icons/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
ln -s %{_datadir}/icons/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
ln -s %{_datadir}/icons/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde
desktop-file-install --vendor="" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
	$RPM_BUILD_ROOT%_datadir/applnk/Development/*.desktop

rm -f $RPM_BUILD_ROOT%_datadir/applnk/Development/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

%_datadir/applications/kde/*.desktop

%_datadir/apps/katepart/syntax/microbe.xml

%dir %_datadir/apps/ktechlab/
%_datadir/apps/ktechlab/error_messages_en_gb
%dir %_datadir/apps/ktechlab/icons/
%_datadir/apps/ktechlab/icons/*.png

%_datadir/apps/ktechlab/*.rc

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/*.kcfg

%dir %_docdir/HTML/en/ktechlab
%_docdir/HTML/en/ktechlab/*

%_iconsdir/hicolor/*/*/*.png

%_datadir/mimelnk/application/x-circuit.desktop
%_datadir/mimelnk/application/x-flowcode.desktop
%_datadir/mimelnk/application/x-ktechlab.desktop
%_datadir/mimelnk/application/x-microbe.desktop

%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 43607
- disable parallel build
- move to xdg menu dir
- New version
- Import ktechlab



* Sun Jul 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdv2007.0
- Use %%mkrel
- Use Macros for icons

* Fri Jul 15 2005 Couriousous <couriousous@mandriva.org> 0.2-1mdk
- 0.2
- Some spec fix

* Thu Mar 10 2005 Neoclust <neoclust@mandrake.org> 0.1.3-1mdk
- 0.1.3
- Remove patch0 merged upstream 

* Wed Jan 12 2005 Couriousous <couriousous@mandrake.org> 0.1.2-3mdk
- From trem <trem@zarb.org> :
  - Amd64 fix

* Tue Jan 11 2005 Couriousous <couriousous@mandrake.org> 0.1.2-2mdk
- Fix requires
- Remove redondant buildrequires
- Fix rpmlint warnings

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.2-1mdk
- First package
